[![Github](https://img.shields.io/github/followers/aldefy?label=Follow&style=social)](https://github.com/aldefy)
[![Twitter](https://img.shields.io/twitter/follow/aditlal?label=Follow&style=social)](https://twitter.com/aditlal)
[![Build Pull Request](https://github.com/aldefy/Andromeda/actions/workflows/build_pull_request.yml/badge.svg)](https://github.com/aldefy/Andromeda/actions/workflows/build_deploy.yml)

<!-- PROJECT LOGO -->
<br />
<p align="center">
  <a href="https://github.com/aldefy/Andromeda">
    <img src="images/logo.png" alt="Logo" width="80" height="80">
  </a>
  <h3 align="center">Andromeda</h3>

  <p align="center">
    Andromeda is a open-source design language system implemented in Jetpack Compose.
    <br />
    <a href="/releases/">Catalog app</a>
  </p>
</p>

<!-- TABLE OF CONTENTS -->
## Table of Contents

* [About the Project](#about-the-project)
* [Getting Started](#getting-started)
  * [Prerequisites](#prerequisites)
  * [Usage](#usage)
* [Roadmap](#roadmap)
* [Contributing](#contributing)
* [License](#license)
* [Contact](#contact)

<!-- ABOUT THE PROJECT -->
## About The Project

### Andromeda v0.0.1
Welcome 👋 Andromeda is an open-source Jetpack Compose design system. A collection of guidelines and components which can be used to create amazing compose app user experiences. `Foundations` introduces you to Andromeda tokens and principles while `Components` lists out the bolts and nuts that make Andromeda Compose wrapped apps tick.

<!-- GETTING STARTED -->
## Getting Started

In `build.gradle` of your application module, include this dependency

```gradle
dependencies {
  implementation("io.andromeda:1.0.0-alpha01")
}
```

If you want to use our provided Icons, also add

```gradle
dependencies {
    implementation("io.andromeda-icon:1.0.0-alpha01")
}
```

### Prerequisites
- Android Studio Bumblee
- Java 11

### Usage

<!-- ROADMAP -->
## Roadmap
- Multi platform support apart from just Android, desktop , iOS , KMM in near future.

See the [open issues](/Issues.md) for a list of proposed features (and known issues).

<!-- CONTRIBUTING -->
## Contributing

Contributions are what make the open source community such an amazing place to be learn, inspire, and create. Any contributions you make are**greatly appreciated**.


1. Fork the Project
2. Create your Feature Branch (`git checkout -b feature/AmazingFeature`)
3. Commit your Changes (`git commit -m 'Add some AmazingFeature'`)
4. Push to the Branch (`git push origin feature/AmazingFeature`)
5. Open a Pull Request

<!-- LICENSE -->
## License

Distributed under the MIT License. See`LICENSE`for more information.

<!-- CONTACT -->
## Contact

Adit Lal - [@aditlal](https://twitter.com/aditlal) - https://aditlal.dev

<!-- MARKDOWN LINKS & IMAGES -->
<!-- https://www.markdownguide.org/basic-syntax/#reference-style-links -->
[contributors-shield]: https://img.shields.io/github/contributors/confluxtoo/loanbook-app.svg?style=flat-square
[contributors-url]: https://github.com/aldefy/Andromeda/graphs/contributors
[forks-shield]: https://img.shields.io/github/forks/confluxtoo/loanbook-app.svg?style=flat-square
[forks-url]: https://github.com/aldefy/Andromeda/network/members
[stars-shield]: https://img.shields.io/github/stars/confluxtoo/loanbook-app.svg?style=flat-square
[stars-url]: https://github.com/aldefy/Andromeda/stargazers
[issues-shield]: https://img.shields.io/github/issues/confluxtoo/loanbook-app.svg?style=flat-square
[issues-url]: https://github.com/aldefy/Andromeda/issues
[license-shield]: https://img.shields.io/github/license/confluxtoo/loanbook-app.svg?style=flat-square
[license-url]: https://github.com/aldefy/Andromeda/blob/master/LICENSE.txt
[linkedin-shield]: https://img.shields.io/badge/-LinkedIn-black.svg?style=flat-square&logo=linkedin&colorB=555
[linkedin-url]: https://linkedin.com/in/aditlal
